Subject: bug#78129: closed (Re: bug#78129: Acknowledgement ([PATCH] 31.0.50; python-ts-mode fontification does not handle normal python constructs))

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 May 2025 07:55:03 +0000

Your bug report

#78129: [PATCH] 31.0.50; python-ts-mode fontification does not handle normal python constructs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78129: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78129
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78129: Acknowledgement ([PATCH] 31.0.50; python-ts-mode fontification does not handle normal python constructs)
From: Yuan Fu <[email-masked]>
To: Jostein Kjønigsen <[email-masked]>
Cc: Denis Zubarev <[email-masked]>, [email-masked]
Date: Thu, 1 May 2025 00:54:08 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

> On Apr 30, 2025, at 2:25 PM, Jostein Kjønigsen <[email-masked]> wrote:
> 
> And yet a newer patch, which add enum-values being fontified as constants on top of the things discussed below.
> 
> Note: This patch removes a "override" rule which used to be in place. I'm writing Python using typing and from I can tell, removing this rule does not have any adverse affects on my code.
> 
> Since Denis added that override, I've put him on CC so he can verify if he can confirm my assessment.

Brilliant work! Applied to master. BTW, make sure you reply messages below the quoted original message ;)

Yuan

Subject: [PATCH] 31.0.50; python-ts-mode fontification does not handle normal python constructs
From: Jostein Kjønigsen <[email-masked]>
To: [email-masked]
Date: Tue, 29 Apr 2025 11:40:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey everyone.

When using python-ts-mode to edit python code, there's quite a few areas where fontification is lacking, but could be provided by the treesitter syntax tree.

* Constants
* Type-names
* variable-names in for-in statements
* import-names in import statements
* variable-declarations in lambda-expressions

Attached is a patch which fixes this.

—
Kind Regards
Jostein Kjønigsen

￼